Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## DataClasses
Class CreditCard_Data

    java.lang.Object
      DataClasses.CreditCard_Data

public class CreditCard_Data
extends java.lang.Object

Author:
  student This class is being used for holding credit card information.

Field Summary
`private java.lang.String` | `cardHolderName`
`private java.lang.String` | `cardNumber`
`private java.lang.String` | `cardType`
`private java.lang.String` | `expiryDate`
`private java.lang.String` | `month`
`private java.lang.String` | `year`

Constructor Summary
`CreditCard_Data()`
`CreditCard_Data(java.lang.String cardType, java.lang.String cardHolderName, java.lang.String cardNumber, java.lang.String expiryDate)` This is the constructor for CreditCard_Data.java

Method Summary
`java.lang.String` | `getCardHolderName()` This method is being used for getting the cardHolderName field.
`java.lang.String` | `getCardNumber()` This method is being used for getting the cardNumber field.
`java.lang.String` | `getCardType()` This method is being used for getting the cardType field.
`java.lang.String` | `getExpiryDate()` This method is being used for getting the expiryDate field.
`java.lang.String` | `getMonth()` This method is being used for getting the month field.
`java.lang.String` | `getYear()` This method is being used for getting the year field.
`void` | `setCardHolderName(java.lang.String cardHolderName)` This method is being used for setting the cardHolderName field.
`void` | `setCardNumber(java.lang.String cardNumber)` This method is being used for setting the cardNumber field.
`void` | `setCardType(java.lang.String cardType)` This method is being used for setting the cardtype field.
`void` | `setExpirydate(java.lang.String expiryDate)` This method is being used for setting the expiryDate field.
`void` | `setMonth(java.lang.String month)` This method is being used for setting the month field.
`void` | `setYear(java.lang.String year)` This method is being used for setting the year field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cardHolderName

    private java.lang.String cardHolderName

### cardNumber

    private java.lang.String cardNumber

### cardType

    private java.lang.String cardType

### expiryDate

    private java.lang.String expiryDate

### month

    private java.lang.String month

### year

    private java.lang.String year

Constructor Detail

### CreditCard_Data

    public CreditCard_Data()

### CreditCard_Data

    public CreditCard_Data(java.lang.String cardType,
                           java.lang.String cardHolderName,
                           java.lang.String cardNumber,
                           java.lang.String expiryDate)

  This is the constructor for CreditCard_Data.java

Method Detail

### getCardHolderName

    public java.lang.String getCardHolderName()

  This method is being used for getting the cardHolderName field.

  Returns:
    String The credit card holder name.

### getCardNumber

    public java.lang.String getCardNumber()

  This method is being used for getting the cardNumber field.

  Returns:
    String The credit card number.

### getCardType

    public java.lang.String getCardType()

  This method is being used for getting the cardType field.

  Returns:
    String The card type.

### getExpiryDate

    public java.lang.String getExpiryDate()

  This method is being used for getting the expiryDate field.

  Returns:
    String The credit card expiry date.

### getMonth

    public java.lang.String getMonth()

  This method is being used for getting the month field.

  Returns:
    String The credit card expiry month.

### getYear

    public java.lang.String getYear()

  This method is being used for getting the year field.

  Returns:
    String The credit card expiry year.

### setCardHolderName

    public void setCardHolderName(java.lang.String cardHolderName)

  This method is being used for setting the cardHolderName field.

  Parameters:
    `cardHolderName` - The card holder name.
  Returns:
    void

### setCardNumber

    public void setCardNumber(java.lang.String cardNumber)

  This method is being used for setting the cardNumber field.

  Parameters:
    `cardNumber` - The credit card number.
  Returns:
    void

### setCardType

    public void setCardType(java.lang.String cardType)

  This method is being used for setting the cardtype field.

  Parameters:
    `cardType` - Card type.
  Returns:
    void

### setExpirydate

    public void setExpirydate(java.lang.String expiryDate)

  This method is being used for setting the expiryDate field.

  Parameters:
    `expiryDate` - The credit card expiry date.
  Returns:
    void

### setMonth

    public void setMonth(java.lang.String month)

  This method is being used for setting the month field.

  Parameters:
    `month` - The credit card expiry month.
  Returns:
    void

### setYear

    public void setYear(java.lang.String year)

  This method is being used for setting the year field.

  Parameters:
    `year` - The credit card expiry year.
  Returns:
    void

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD